import { lineNumbersInternal, documentReady } from "./utils";
function lineNumbersBlock(element, options) {
    if (typeof element !== "object")
        return;
    element.innerHTML = lineNumbersInternal(element, options);
}
function initLineNumbersOnLoad(options) {
    if (document.readyState === "interactive" ||
        document.readyState === "complete") {
        documentReady(options);
    }
    else {
        window.addEventListener("DOMContentLoaded", function () {
            documentReady(options);
        });
    }
}
export { lineNumbersBlock, initLineNumbersOnLoad };
//# sourceMappingURL=pase.js.map