"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const pase_1 = require("./pase");
function highLight(el) {
    const highlight = el.querySelectorAll("pre code");
    highlight.forEach((block) => {
        if (block.getAttribute("highlighted") == "true") {
            return;
        }
        (0, pase_1.lineNumbersBlock)(block, {});
    });
}
const install = (app) => {
    app.directive("highlight", {
        mounted(el) {
            highLight(el);
        },
    });
};
highLight.install = install;
exports.default = highLight;
//# sourceMappingURL=index.js.map