"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initLineNumbersOnLoad = exports.lineNumbersBlock = void 0;
const utils_1 = require("./utils");
function lineNumbersBlock(element, options) {
    if (typeof element !== "object")
        return;
    element.innerHTML = (0, utils_1.lineNumbersInternal)(element, options);
}
exports.lineNumbersBlock = lineNumbersBlock;
function initLineNumbersOnLoad(options) {
    if (document.readyState === "interactive" ||
        document.readyState === "complete") {
        (0, utils_1.documentReady)(options);
    }
    else {
        window.addEventListener("DOMContentLoaded", function () {
            (0, utils_1.documentReady)(options);
        });
    }
}
exports.initLineNumbersOnLoad = initLineNumbersOnLoad;
//# sourceMappingURL=pase.js.map