import { lineNumbersBlock } from "./pase";
function highLight(el) {
    const highlight = el.querySelectorAll("pre code");
    highlight.forEach((block) => {
        if (block.getAttribute("highlighted") == "true") {
            return;
        }
        lineNumbersBlock(block, {});
    });
}
const install = (app) => {
    app.directive("highlight", {
        mounted(el) {
            highLight(el);
        },
    });
};
highLight.install = install;
export default highLight;
//# sourceMappingURL=index.js.map